Subject: [calsify] [Technical Errata Reported] RFC7986 (5449)

From: RFC Errata System <[email-masked]>
Date: Thu, 2 Aug 2018 18:58:33 -0700 (PDT)

The following errata report has been submitted for RFC7986,
"New Properties for iCalendar".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5449

--------------------------------------
Type: Technical
Reported by: Дилян Палаузов <[email-masked]>

Section: 5.9 COLOR Pr

Original Text
-------------
Description:   ...The value is a case-insensitive color name taken from
the CSS3 set of names, defined in Section 4.3 of [W3C.REC-css3-color-
20110607].

Example:  The following is an example of this property:
   COLOR:turquoise

Corrected Text
--------------
Description:   ...The value is either a case-insensitive color name
taken from the CSS3 set of names, defined in Section 4.3 of [W3C.REC-
css3-color-20110607], or a lower-cased rgb() functional notation with
absolute values specified in Section 4.2.1 of the same document.

Examples:  The following are examples of this property:
   COLOR:turquoise
   COLOR:rgb(61\,211\,68)

Notes
-----
draft-daboo-icalendar-extensions-07 removed the possibily to have RGB colours for COLOR.

CSS3 included color names, that browsers at that time suppored, originating from X11's rgb.txt.  The color names and values were randomly chosen.  The minimal distance between the colors isn't consistent.  One motivation for creating a color name were hardware capabilities - an argument which isn't valid for 20 years now.  There is no reason to limit the number of possible values for COLOR.  A user interface for choosing a named color has either to offer the user the possibility to choose from a pre-filled list of colors, which could clutter the interface, or let the user choose any RGB color and narrow it later to the closest color with CSS3 name.  This narrowing isn't trivial and performing it seems like having an RFC running in itself.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7986 (draft-ietf-calext-extensions-05)
--------------------------------------
Title               : New Properties for iCalendar
Publication Date    : October 2016
Author(s)           : C. Daboo
Category            : PROPOSED STANDARD
Source              : Calendaring Extensions
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG